Subject: RE: Shadowed passwords on AIX

From: Elias Sideris <[email-masked]>
Date: Tue, 24 Dec 1996 12:40:52 +-200

Frank Scherthan writes:
> I'm trying to build the wu-ftp-deamon on an IBM rs6000 running AIX.
> I compiled the source-code, installed all the nesaccary files and testet
> the new FTP-deamon, and there was the Problem. I couldn't log in as a
> REAL-User. I searched the Internet and found a FAQ where I found my
> Problem. So I created a file ETC/SHELLS...No Problems.
> BUT HOW CAN I IMPLEMENT SHADOWED PASSWORDS ? 
> There is a solution for Linux User. But I have no file shadow.h and I
> don't know how to get it...

> Has anybody build WU-FTPD on an AIX with shadowed passwords ? How ?

You dont need to implement shadowed passwords, IBM have done it already.

Make sure that in your /etc/shells you have add the shell of the real user
i.e. if your user have /bin/ksh the line /bin/ksh must be in /etc/shells.